## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate rustsec

Name:           rust-rustsec
Version:        0.30.2
Release:        %autorelease
Summary:        Client library for the RustSec security advisory database

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/rustsec
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused features with missing dependencies
# * update gix dependency to 0.72
Patch:          rustsec-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Client library for the RustSec security advisory database.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dependency-tree-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dependency-tree-devel %{_description}

This package contains library source intended for building other packages which
use the "dependency-tree" feature of the "%{crate}" crate.

%files       -n %{name}+dependency-tree-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+git-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+git-devel %{_description}

This package contains library source intended for building other packages which
use the "git" feature of the "%{crate}" crate.

%files       -n %{name}+git-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+osv-export-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+osv-export-devel %{_description}

This package contains library source intended for building other packages which
use the "osv-export" feature of the "%{crate}" crate.

%files       -n %{name}+osv-export-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a

%build
%cargo_build -a

%install
%cargo_install -a

%if %{with check}
%check
# * skip tests that require internet connectivity
%{cargo_test -a -- -- --exact %{shrink:
    --skip query_vulnerabilitie
    --skip query_vulnerabilities_with_crate_scope
    --skip enumerate_vulnerabilities
    --skip clone_into_existing_directory
    --skip happy_path
}}
%endif

%changelog
## START: Generated by rpmautospec
* Sun May 04 2025 blinxen <h-k-81@hotmail.com> - 0.30.2-2
- Uncommitted changes

* Sat May 03 2025 Fabio Valentini <decathorpe@gmail.com> - 0.30.2-1
- Update to version 0.30.2; Fixes RHBZ#2338794

* Thu Jan 23 2025 Fabio Valentini <decathorpe@gmail.com> - 0.30.1-1
- Update to version 0.30.1; Fixes RHBZ#2338794

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.30.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Dec 02 2024 Fabio Valentini <decathorpe@gmail.com> - 0.30.0-1
- Update to version 0.30.0; Fixes RHBZ#2322517

* Tue Sep 17 2024 blinxen <h-k-81@hotmail.com> - 0.29.3-3
- Update gix dependency to 0.66

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.29.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jul 07 2024 blinxen <h-k-81@hotmail.com> - 0.29.3-1
- Update to version 0.29.3; Fixes RHBZ#2278614

* Mon Apr 15 2024 Fabio Valentini <decathorpe@gmail.com> - 0.29.1-1
- Update to version 0.29.1; Fixes RHBZ#2250317

* Sat Apr 06 2024 blinxen <h-k-81@hotmail.com> - 0.28.3-3
- Update gix dependency to version 0.61

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.28.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Nov 06 2023 Fabio Valentini <decathorpe@gmail.com> - 0.28.3-1
- Initial import (#2247719)
## END: Generated by rpmautospec
